# class Reline::KeyActor::Base

### Constants

MAPPING

### Public Class Methods

new() click to toggle source

    # File lib/reline/key_actor/base.rb, line 8
    def initialize
      @default_key_bindings = {}
    end

### Public Instance Methods

default_key_bindings() click to toggle source

    # File lib/reline/key_actor/base.rb, line 12
    def default_key_bindings
      @default_key_bindings
    end

get_method(key) click to toggle source

    # File lib/reline/key_actor/base.rb, line 4
    def get_method(key)
      self.class::MAPPING[key]
    end

reset_default_key_bindings() click to toggle source

    # File lib/reline/key_actor/base.rb, line 16
    def reset_default_key_bindings
      @default_key_bindings.clear
    end